Debian Bug report logs - #676102
live-build-cron: fails to purge

version graph

Package: live-build-cron; Maintainer for live-build-cron is (unknown);

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Mon, 4 Jun 2012 22:45:02 UTC

Severity: important

Found in versions live-build/3.0~a50-1, live-build/3.0~a49-1

Fixed in version live-build/3.0~a51-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#676102; Package live-build-cron. (Mon, 04 Jun 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 04 Jun 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build-cron: fails to purge
Date: Tue, 05 Jun 2012 00:43:30 +0200
[Message part 1 (text/plain, inline)]
Package: live-build-cron
Version: 3.0~a49-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to purge.

>From the attached log (scroll to the bottom...):

  Removing live-build-cron ...
  Purging configuration files for live-build-cron ...
  rmdir: failed to remove `/etc/live/build-cron.d': No such file or directory
  rmdir: failed to remove `/etc/live': No such file or directory
  rmdir: failed to remove `/etc/cron.d/live-build-cron-manual': No such file or directory
  rmdir: failed to remove `/etc/live/build-cron.d': No such file or directory
  rmdir: failed to remove `/etc/live': No such file or directory
  rmdir: failed to remove `/etc/cron.d/live-build-cron-images': No such file or directory
  dpkg: error processing live-build-cron (--purge):
   subprocess installed post-removal script returned error exit status 128
  Errors were encountered while processing:
   live-build-cron


cheers,

Andreas
[live-build-cron_3.0~a49-1.log.gz (application/x-gzip, attachment)]

Marked as found in versions live-build/3.0~a50-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 07 Jun 2012 21:57:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 13:07:12 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 13:07:17 GMT) Full text and rfc822 format available.

Message #12 received at 676102-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 676102-close@bugs.debian.org
Subject: Bug#676102: fixed in live-build 3.0~a51-1
Date: Wed, 27 Jun 2012 13:04:15 +0000
Source: live-build
Source-Version: 3.0~a51-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a51-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a51-1_all.deb
live-build-cron_3.0~a51-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a51-1_all.deb
live-build_3.0~a51-1.debian.tar.xz
  to main/l/live-build/live-build_3.0~a51-1.debian.tar.xz
live-build_3.0~a51-1.dsc
  to main/l/live-build/live-build_3.0~a51-1.dsc
live-build_3.0~a51-1_all.deb
  to main/l/live-build/live-build_3.0~a51-1_all.deb
live-build_3.0~a51.orig.tar.xz
  to main/l/live-build/live-build_3.0~a51.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jun 2012 14:38:21 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a51-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 676102 679240
Changes: 
 live-build (3.0~a51-1) unstable; urgency=low
 .
   * For consistency, respecting config/environment too for both chroot
     and binary environments (but the content of sepcific environments
     for either chroot or binary still has precedence over the generic
     one).
   * Changing default binary.list filename to binary.contents to make it
     more explicit and not to be confused with package lists.
   * Automatically include intel-microcode when building with firmware
     and non-free enabled.
   * Redirecting rmdir output in postrm for live-build-cron properly
     (Closes: #676102).
   * Removing alpha and hppa stub support, both architectures have been
     dropped for wheezy in debian.
   * Switching from smbfs to cifs-utils (Closes: #679240).
   * Switching to xz compression in source and binary packages.
Checksums-Sha1: 
 679eb2aacc6e651727fa56a08e98269aea840513 1381 live-build_3.0~a51-1.dsc
 e2f6e03ec67a7aa300d72dce007cc867f2e2e28c 955240 live-build_3.0~a51.orig.tar.xz
 ed3e7190ead26d54e9c5fa45c08e8cfe75bd21e1 57288 live-build_3.0~a51-1.debian.tar.xz
 78f4c9d009c90401a48a50d83b0de1b91f918c4d 1022282 live-build_3.0~a51-1_all.deb
 1f9e3a1d31a15fdd7a27542e90f3432810eb4053 67848 live-build-cgi_3.0~a51-1_all.deb
 310231b1a53ce0502f9aa1e43cc7bef68a60a219 75748 live-build-cron_3.0~a51-1_all.deb
Checksums-Sha256: 
 71ca8f9a5f0da745bf35727e6e82782ee0abbd57d7fccb87474963e3a06d9ce1 1381 live-build_3.0~a51-1.dsc
 2a6db501807ea3bde353dd1d65053ac60427831060708ba535c5377db405a2ab 955240 live-build_3.0~a51.orig.tar.xz
 27626be817beb67c589898c3f1e503a8f2466e05eca00e4748418684d39a3980 57288 live-build_3.0~a51-1.debian.tar.xz
 22661dba9e8ed283510db42c586fb70ea73d259ceffb59307f8dfb0279abe2bc 1022282 live-build_3.0~a51-1_all.deb
 93b1845195a505f75fbacc9081aeb01666b4a83034d65db9df4f69ba8c4c00e8 67848 live-build-cgi_3.0~a51-1_all.deb
 81e059214842150dba9efbff68dae2ab78f4f78e26936a2ed6725be125a746c0 75748 live-build-cron_3.0~a51-1_all.deb
Files: 
 35957673ee2062c1c3eb99589200307c 1381 misc optional live-build_3.0~a51-1.dsc
 8d5e0adf030dde6f06b2bb5b1387e717 955240 misc optional live-build_3.0~a51.orig.tar.xz
 26a5b700e41d50886fcce80bb3fd3ed2 57288 misc optional live-build_3.0~a51-1.debian.tar.xz
 29b0035217134c8777d1821b803d3959 1022282 misc optional live-build_3.0~a51-1_all.deb
 42b70b6fffa6a207a40a1c6d1002bf4f 67848 misc optional live-build-cgi_3.0~a51-1_all.deb
 962483e8a7bd907de0dbb5ffdf97229a 75748 misc optional live-build-cron_3.0~a51-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/rAV4ACgkQ+C5cwEsrK57MYgCfTaJDT8Ezh/c86uAYeIfE/th3
TV8AoLx1tTFT7RhNom9Oi4M5MrfC0eg/
=qt7a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Aug 2012 07:25:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:02:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.